% <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
% Funkce na ziskani hladiny pro vkladani vodoznaku
%
% function [s]=najdi_prvky_z_hladiny(obraz,hladina,zobraz_prvky)
%
% Vstupni parametry obraz a hladina do ktere vkladame
% dale hodnota true or false zobraz prvky
% Vystupni je dana matice hodnot z dane hladiny
% <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

function [s]=najdi_prvky_z_hladiny(obr,i,velke)

Y = size(obr,2);                                    % x
X = size(obr,1);                                    % y

binarni = dec2bin(obr,8);       % vytvoren vektor o vel (X*Y) x 8 a decimalni cislo na 2 vektor stringu

% <<<<<<< 8 bitovych rovin, kazda do vlastni matice 1-8 >>>>>

for m=1:Y
    for n=1:X

        a = ( binarni((n+((m-1)*X)),1:8) );                 % nacteni celeho vektoru stringu, 8b

        switch (i)
            case 1
                if str2num(a(i))>0                                    % '0','1'na 0 a 255 (cerna, bila)
                    prvni(n,m)=255;
                else
                    prvni(n,m)= str2num(a(i));
                end
            case 2
                if str2num(a(i))>0                                    % '0','1'na 0 a 255 (cerna, bila)
                    druha(n,m)=255;
                else
                    druha(n,m)= str2num(a(i));
                end
            case 3
                if str2num(a(i))>0                                    % '0','1'na 0 a 255 (cerna, bila)
                    treti(n,m)=255;
                else
                    treti(n,m)= str2num(a(i));
                end
            case 4
                if str2num(a(i))>0                                    % '0','1'na 0 a 255 (cerna, bila)
                    ctvrta(n,m)=255;
                else
                    ctvrta(n,m)= str2num(a(i));
                end
            case 5
                if str2num(a(i))>0                                    % '0','1'na 0 a 255 (cerna, bila)
                    pata(n,m)=255;
                else
                    pata(n,m)= str2num(a(i));
                end
            case 6
                if str2num(a(i))>0                                    % '0','1'na 0 a 255 (cerna, bila)
                    sesta(n,m)=255;
                else
                    sesta(n,m)= str2num(a(i));
                end
            case 7
                if str2num(a(i))>0                                    % '0','1'na 0 a 255 (cerna, bila)
                    sedma(n,m)=255;
                else
                    sedma(n,m)= str2num(a(i));
                end
            case 8
                if str2num(a(i))>0                                    % '0','1'na 0 a 255 (cerna, bila)
                    osma(n,m)=255;
                else
                    osma(n,m)= str2num(a(i));
                end
        end

    end
end

switch (i)
    case 1
        s=prvni;
        if velke == 1
            figure(5);
            imshow(uint8(prvni));
            title('Koeficienty z sedme hladiny','Fontsize',12,'color','blue');
        end
    case 2
        s=druha;
        if velke == 1
            figure(6);
            imshow(uint8(druha));
            title('Koeficienty z seste hladiny','Fontsize',12,'color','blue');
        end
    case 3
        s=treti;
        figure(3);
        imshow(uint8(treti));
        title('Koeficienty z pate hladiny','Fontsize',12,'color','blue');
    case 4
        s=ctvrta;
        if velke == 1
            figure(4);
            imshow(uint8(ctvrta));
            title('Koeficienty z ctvrte hladiny','Fontsize',12,'color','blue');
        end
    case 5
        s=pata;
        if velke == 1
            figure(5);
            imshow(uint8(pata));
            title('Koeficienty z treti hladiny','Fontsize',12,'color','blue');
        end
    case 6
        s=sesta;
        if velke == 1
            figure(6);
            imshow(uint8(sesta));
            title('Koeficienty z druhe hladiny','Fontsize',12,'color','blue');
        end
    case 7
        s=sedma;
        if velke == 1
            figure(7);
            imshow(uint8(sedma));
            title('Koeficienty z prvni hladiny','Fontsize',12,'color','blue');
        end
    case 8
        s=osma;
        if velke == 1
            figure(8);
            imshow(uint8(osma));
            title('Koeficienty z nulte hladiny','Fontsize',12,'color','blue');
        end
end
   
end


